Bug 1491412 - [3.6] Installer does not configure flannel correctly for openstack installs.
Summary: [3.6] Installer does not configure flannel correctly for openstack installs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.z
Assignee: Scott Dodson
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1473858 1491413 1594310
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 17:44 UTC by Scott Dodson
Modified: 2018-06-22 15:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The flannel network was previously defined using the same subnet as the kubernetes services subnet. This caused a conflict between services and SDN networks. The flannel network is now correctly defined by the osm_cluster_network_cidr variable.
Clone Of: 1473858
Environment:
Last Closed: 2017-10-17 11:45:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2900 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-10-17 15:44:50 UTC

Comment 4 Gan Huang 2017-10-12 10:10:22 UTC
DNS issue still persists in 3.6 (https://bugzilla.redhat.com/show_bug.cgi?id=1490820), but unrelated to this bug.

Verified in openshift-ansible-3.6.173.0.48-1.git.0.1609d30.el7.noarch.rpm

Comment 6 errata-xmlrpc 2017-10-17 11:45:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2900


Note You need to log in before you can comment on or make changes to this bug.